import request from '@/utils/request'
// 获取流程树
export const getList = () => {
  return request({
    url: '/point-strategy/v/ApproveSetting/getList',
    method: 'get',
  })
}
// 查询流程结点列表
export const selectApproveSettingNodeList = (params) => {
  return request({
    url: '/point-strategy/v/ApproveSettingNode/selectApproveSettingNodeList',
    method: 'post',
    params
  })
}

// 保存流程结点
export const saveNodeData = (data) => {
  return request({
    url: '/point-strategy/v/ApproveSettingNode/saveNodeData',
    method: 'post',
    data
  })
}
// 保存流程结点
export const getApproveSettingById = (params) => {
  return request({
    url: '/point-strategy/v/ApproveSetting/getApproveSettingById',
    method: 'post',
    params
  })
}
// 新增工作流程
export const addSetting = (data) => {
  return request({
    url: '/point-strategy/v/ApproveSetting/addSetting',
    method: 'post',
    data
  })
}
// 修改工作流程设置
export const updateSetting = (data) => {
  return request({
    url: '/point-strategy/v/ApproveSetting/update',
    method: 'post',
    data
  })
}
